Apakah ekstensi Joomla! 2.5 saya akan bekerja dengan Joomla! 3.x?

From Joomla! Documentation

This page is a translated version of the page Will my Joomla! 2.5 extensions work with Joomla! 3.x? and the translation is 100% complete.

Other languages:
български • ‎Deutsch • ‎English • ‎español • ‎français • ‎Bahasa Indonesia • ‎Nederlands • ‎português • ‎русский
Joomla! 
3.x
seri

Ekstensi-ekstensi yang dibuat untuk Joomla! 2.5 secara native seharusnya dapat bekerja juga di Joomla! 3.0 dengan sedikit perubahan, kalau ada. Komponen-komponen dan templat adalah yang paling sering memerlukan pekerjaan tambahan agar ia dapat bekerja dengan baik, sementara modul-modul dan plugin seharusnya dapat bekerja tanpa masalah (asalkan ia tidak menggunakan metode yang usang). Ekstensi-ekstensi yang mendukung Joomla! 2.5 dan 1.5 di dalam satu paket yang sama mungkin tidak akan langsung dapat bekerja dengan baik, sampai pengembangnya memperbarui ekstensi-ekstensi itu agar ia kompatibel dengan Joomla! 3.

Ringkasnya, ia tergantung dari ekstensinya. Joomla! ProjectTM telah membuat prosesnya menjadi lebih mudah untuk sebagian besar ekstensi, sementara untuk beberapa ekstensi yang lainnya akan membutuhkan pekerjaan ekstra. Untuk pastinya, biarkan para pengembang ekstensinya tahu bahwa anda ingin menggunakan ekstensi buatan mereka di Joomla! 3 kemudian lakukan konsultasi dengan dokumentasi mereka.